Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ArrayOfResponses

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ArrayOfResponses

public class ArrayOfResponses extends Object
A structure containing all the responses from a MultiOpType operation

Java class for ArrayOfResponses complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ArrayOfResponses">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}baseResponse" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<javax.xml.bind.JAXBElement<? extends BaseResponseType>>`
  `baseResponse`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayOfResponses()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<javax.xml.bind.JAXBElement<? extends BaseResponseType>>`
  `getBaseResponse()`
  Gets the value of the baseResponse property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### baseResponse

    protected List<javax.xml.bind.JAXBElement<? extends BaseResponseType>> baseResponse

- ## Constructor Details

  - ### ArrayOfResponses

    public ArrayOfResponses()

- ## Method Details

  - ### getBaseResponse

    public List<javax.xml.bind.JAXBElement<? extends BaseResponseType>> getBaseResponse()
    Gets the value of the baseResponse property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the baseResponse property.

    For example, to add a new item, do as follows:

            getBaseResponse().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``AddItemResponseType``>` `JAXBElement``<``BaseResponseType``>` `JAXBElement``<``DeleteItemResponseType``>` `JAXBElement``<``FetchItemResponseType``>` `JAXBElement``<``FreebusyReportResponseType``>` `JAXBElement``<``UpdateItemResponseType``>`